List Agents
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
agents
List Agents
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"system_prompt": "<string>",
"greeting": "<string>",
"llm_id": "<string>",
"stt_id": "<string>",
"tts_id": "<string>",
"tts_voice_id": "<string>",
"config": {},
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"flow_definition": {},
"archived_at": "<string>",
"auto_database_id": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Agents
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/agents \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"system_prompt": "<string>",
"greeting": "<string>",
"llm_id": "<string>",
"stt_id": "<string>",
"tts_id": "<string>",
"tts_voice_id": "<string>",
"config": {},
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"flow_definition": {},
"archived_at": "<string>",
"auto_database_id": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
